Public Member Functions | Public Attributes | List of all members
MacDraftParserInternal::State Struct Reference

Internal: the state of a MacDraftParser. More...

## Public Member Functions
| State ()
| constructor More...
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pat)
| returns a pattern if posible More...
void | initPatterns ()
| init the patterns list More...

## Public Attributes
int | m_version
| the file version More...
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the patterns list More...
std::vector< Shape > | m_shapeList
| the shapes list More...
std::map< unsigned long, BitmapFileData > | m_idToBitmapMap
| map id to bitmap file data More...

## Detailed Description

Internal: the state of a MacDraftParser.

## Constructor & Destructor Documentation

## ◆ State()

MacDraftParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPattern()

bool MacDraftParserInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat
| ) |  |
| inline

returns a pattern if posible

## ◆ initPatterns()

void MacDraftParserInternal::State::initPatterns | ( |  | ) |

init the patterns list

## Member Data Documentation

## ◆ m_idToBitmapMap

std::map<unsigned long, BitmapFileData> MacDraftParserInternal::State::m_idToBitmapMap

map id to bitmap file data

## ◆ m_patternList

std::vector<MWAWGraphicStyle::Pattern> MacDraftParserInternal::State::m_patternList

the patterns list

## ◆ m_shapeList

std::vector<Shape> MacDraftParserInternal::State::m_shapeList

the shapes list

## ◆ m_version

int MacDraftParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MacDraftParser.cxx